Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.chetrf

scipy.linalg.lapack.chetrf(a[, lower, lwork, overwrite_a]) = <fortran function chetrf>

  Wrapper for `chetrf`.

  Parameters:
    a input rank-2 array(‘F’) with bounds (n,n)
  Returns:
    ldu rank-2 array(‘F’) with bounds (n,n) and a storage
    ipiv rank-1 array(‘i’) with bounds (n)
    info int
  Other Parameters:
    lower input int, optional

      Default: 0

    overwrite_a input int, optional

      Default: 0

    lwork input int, optional

      Default: max(n,1)